aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/lfs.sh b/lfs.sh
index 8b5e7b3..0d50daf 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -47,4 +47,15 @@ source download.sh
for package in binutils gcc linux-api-headers glibc libstdc++; do
source packageinstall.sh 5 $package
+ if [ "$retval" -ne 0 ]; then
+ exit 1
+ fi
+done
+
+for package in m4 ncurses bash coreutils diffutils file findutils gawk grep gzip make patch sed tar xz binutils gcc; do
+ source packageinstall.sh 6 $package
+ retval=$?
+ if [ "$retval" -ne 0 ]; then
+ exit 1
+ fi
done \ No newline at end of file